Name:           ezstream
Version:        0.5.6
Release:        2%{?dist}
Summary:        Command line source client for Icecast media streaming servers

Group:          Applications/Multimedia
License:        GPLv2
URL:            http://www.icecast.org/ezstream.php
Source0:        http://downloads.xiph.org/releases/ezstream/ezstream-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libogg-devel libvorbis-devel taglib-devel libshout-devel libxml2-devel

%description
Ezstream is a command line source client for Icecast media streaming servers.
It began as the successor of the old "shout" utility, and has since gained a
lot of useful features.

In its basic mode of operation, it streams media files or data from standard
input without reencoding and thus requires only very little CPU resources. It
can also use various external decoders and encoders to reencode from one format
to another, and stream the result to an Icecast server. Additional features
include scriptable playlist and metadata handling. All of its features make
ezstream a very flexible source client.

Supported media formats for streaming are MP3, Ogg Vorbis and Ogg Theora.
Native metadata support includes MP3 (ID3v1 only) and Ogg Vorbis, and many more
formats when the optional TagLib support has been compiled in (which they are
for this package).


%prep
%setup -q
mkdir __examples
cp -a examples __examples/examples
rm -f __examples/examples/Makefile*
chmod a-x __examples/examples/*


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_docdir} $RPM_BUILD_ROOT%{_datadir}/examples


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/ezstream
%{_bindir}/ezstream-file.sh
%doc COPYING NEWS README __examples/examples
%{_mandir}/man1/ezstream.1.gz
%{_mandir}/man1/ezstream-file.sh.1.gz


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Nov  6 2009 Ian Weller <ian@ianweller.org> - 0.5.6-1
- 0.5.6

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 14 2009 Ian Weller <ianweller@gmail.com> 0.5.3-2
- Remove doc declaration from the man page
- Move examples into examples/ within the docdir
- Remove need for patch and put commands in the right parts

* Sat Apr 05 2008 Ian Weller <ianweller@gmail.com> 0.5.3-1
- Initial package build.
